Bug 192690 - [EXP-RUN] for BerkeleyDB 4.0...4.7 cleanup, affects Mk + individual ports
[EXP-RUN] for BerkeleyDB 4.0...4.7 cleanup, affects Mk + individual ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework
Latest
Any Any
: --- Affects Many People
Assigned To: Matthias Andree
https://wiki.freebsd.org/Ports/Berkel...
:
: 190994 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-15 20:50 UTC by Matthias Andree
Modified: 2014-08-22 07:19 UTC (History)
4 users (show)

See Also:


Attachments
exp-run difference against SVN head ports r365033, use patch -E (91.59 KB, patch)
2014-08-15 20:50 UTC, Matthias Andree
no flags Details | Diff
file to add to security/pks/files/ (916 bytes, patch)
2014-08-17 23:11 UTC, Matthias Andree
no flags Details | Diff
2nd file for security/pks/files/ (442 bytes, patch)
2014-08-17 23:11 UTC, Matthias Andree
no flags Details | Diff
for sysutils/cfengine32/files/ (2.00 KB, patch)
2014-08-20 19:48 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2014-08-15 20:50:47 UTC
Created attachment 145841 [details]
exp-run difference against SVN head ports r365033, use patch -E

Please take the attached patch for an exp-run.  

Be sure to use the "-E" option to patch to remove empty files, and see that you svn add the added and svn rm the removed files.

The patch removes BerkeleyDB 4.0...4.7 altogether and rewrites the BerkeleyDB detection logic for Mk/bsd.database.mk, the old one was too incomprehensible.

There are patches for a few ports that require BerkeleyDB to teach them about the new versions, possibly with drive-by bug fixes (for instance, to security/pks), and possibly with minor modernization or portlint fixes throughout.
Comment 1 Antoine Brodin freebsd_committer 2014-08-17 17:30:27 UTC
Take for exp-run
Comment 2 Matthias Andree freebsd_committer 2014-08-17 23:11:20 UTC
Created attachment 145946 [details]
file to add to security/pks/files/

Turns out I forgot to upload two security/pks/files/* files, 
so security/pkg will fail.  No need to re-do the -exp run, but I'm uploading them here to show how some of the old BerkeleyDB API changes need to be done.
Comment 3 Matthias Andree freebsd_committer 2014-08-17 23:11:54 UTC
Created attachment 145947 [details]
2nd file for security/pks/files/
Comment 4 Antoine Brodin freebsd_committer 2014-08-18 11:54:03 UTC
*** Bug 190994 has been marked as a duplicate of this bug. ***
Comment 5 Antoine Brodin freebsd_committer 2014-08-20 08:27:28 UTC
Exp-run results:
http://package23.nyi.freebsd.org/build.html?mastername=91amd64-default-PR192690&build=2014-08-17_22h39m17s
and
http://package23.nyi.freebsd.org/build.html?mastername=10amd64-default-PR192690&build=2014-08-19_05h31m36s

1 new failure:
+ {"origin"=>"sysutils/cfengine32", "pkgname"=>"cfengine32-3.2.3_4,1", "phase"=>"configure", "errortype"=>"configure_error"}

Failure logs:
http://package23.nyi.freebsd.org/data/91amd64-default-PR192690/2014-08-17_22h39m17s/logs/errors/cfengine32-3.2.3_4,1.log
http://package23.nyi.freebsd.org/data/10amd64-default-PR192690/2014-08-19_05h31m36s/logs/errors/cfengine32-3.2.3_4,1.log

Also I noticed that databases/db is unhooked from the build but not removed, it is intended?
Comment 6 Matthias Andree freebsd_committer 2014-08-20 19:48:49 UTC
Created attachment 146083 [details]
for sysutils/cfengine32/files/

Thank you, Antoine.

Regarding "unlinked databases/db", that is a mistake on my part, this port is unrelated to the BerkeleyDB 3+ stuff and should remain.  I will reinstate that line before the commit.

The cfengine32 failures are due to my not sending this attached patch-configure that revises the detection logic.
Comment 7 Matthias Andree freebsd_committer 2014-08-21 22:51:14 UTC
committed as r365599.
Comment 8 commit-hook freebsd_committer 2014-08-21 22:51:40 UTC
A commit references this bug:

Author: mandree
Date: Thu Aug 21 22:50:41 UTC 2014
New revision: 365599
URL: http://svnweb.freebsd.org/changeset/ports/365599

Log:
  Berkeley DB cleanup, remove versions 4.0 ... 4.7.
  - Mk/bsd.database.mk rewrite, new default to db5.
  - db6 is eligible by default only if installed on the system.
  - Bump PORTREVISION of all ports that directly depend on BerkeleyDB or
    where USE_BDB is found in the port's directory
  - Patch a few ports such that they will pick up or work with newer
    versions.
  - Add UPDATING entry
  - Drive-by format fix for pks
  - Drop BerkeleyDB option from mail/popular for now, requires more work.
  - Exp-run logs linked from the PR below.
  - Ports that do not build (IGNORE, BROKEN, etc.) have pro-forma changes
    for new Berkeley DB, but are untested.

  NOTE: please read UPDATING and the Wiki page before proceeding!

  Announcement:	http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-August/000090.html
  Wiki reference:	https://wiki.freebsd.org/Ports/BerkeleyDBCleanup
  PR:		192690
  Approved by:	portmgr (implicit, PORTREVISION bump on unstaged ports)

Changes:
  head/MOVED
  head/Mk/bsd.database.mk
  head/UPDATING
  head/archivers/rpm4/Makefile
  head/archivers/rpm5/Makefile
  head/chinese/libpinyin/Makefile
  head/chinese/libtabe/Makefile
  head/chinese/mutt/Makefile
  head/chinese/p5-Lingua-ZH-TaBE/Makefile
  head/chinese/xsim/Makefile
  head/comms/trustedqsl/Makefile
  head/comms/xastir/Makefile
  head/databases/Makefile
  head/databases/db4/
  head/databases/db41/
  head/databases/db41-nocrypto/Makefile
  head/databases/db41-nocrypto/distinfo
  head/databases/db42/
  head/databases/db42-nocrypto/Makefile
  head/databases/db42-nocrypto/distinfo
  head/databases/db43/
  head/databases/db44/
  head/databases/db46/
  head/databases/db47/
  head/databases/db48/Makefile
  head/databases/dbtool/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/fortytwo-bdb/Makefile
  head/databases/libgda4/Makefile
  head/databases/libgda4-bdb/Makefile
  head/databases/libgda5/Makefile
  head/databases/memcachedb/Makefile
  head/databases/memcacheq/Makefile
  head/databases/p5-BDB/Makefile
  head/databases/p5-BerkeleyDB/Makefile
  head/databases/py-bsddb/Makefile
  head/databases/py-bsddb3/Makefile
  head/databases/rdfdb/Makefile
  head/databases/ruby-bdb/Makefile
  head/deskutils/orage/Makefile
  head/devel/apr1/Makefile
  head/devel/ice/Makefile
  head/devel/libqxt/Makefile
  head/devel/subversion16/Makefile.common
  head/dns/dnshistory/Makefile
  head/dns/fastresolve/Makefile
  head/editors/nvi-devel/Makefile
  head/editors/poedit/Makefile
  head/graphics/fortytwo/Makefile
  head/japanese/mutt-devel/Makefile
  head/lang/gnu-cobol/Makefile
  head/lang/php5/Makefile
  head/lang/php53/Makefile
  head/lang/php55/Makefile
  head/mail/avenger/Makefile
  head/mail/bmf/Makefile
  head/mail/bogofilter/Makefile
  head/mail/cyrus-imapd23/Makefile
  head/mail/cyrus-imapd24/Makefile
  head/mail/dk-milter/Makefile
  head/mail/drac/Makefile
  head/mail/evolution-exchange/Makefile
  head/mail/greyfix/Makefile
  head/mail/isync/Makefile
  head/mail/meta1/Makefile
  head/mail/mutt/Makefile
  head/mail/opendkim/Makefile
  head/mail/perdition/Makefile
  head/mail/popular/Makefile
  head/mail/popular/pkg-plist
  head/mail/postfix/Makefile
  head/mail/postfix-current/Makefile
  head/mail/postfix210/Makefile
  head/mail/postfix28/Makefile
  head/mail/postfix29/Makefile
  head/mail/spamprobe/Makefile
  head/mail/spmfilter/Makefile
  head/mail/vacation/Makefile
  head/misc/hotkeys/Makefile
  head/misc/libhome/Makefile
  head/net/freeswitch-core-devel/Makefile
  head/net/netatalk/Makefile
  head/net/netatalk3/Makefile
  head/net/openldap24-server/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/cdonkey/Makefile
  head/net-p2p/digitalcoin/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/jigdo/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/solidcoin/Makefile
  head/net-p2p/twister/Makefile
  head/news/inn/Makefile
  head/print/panda/Makefile
  head/science/gramps/Makefile
  head/security/heimdal/Makefile
  head/security/pam_abl/Makefile
  head/security/pks/Makefile
  head/security/pks/files/patch-configure.in
  head/security/pks/files/patch-kd_generic.c
  head/security/pks/files/patch-kd_search.c
  head/security/pks/files/patch-mkpksdconf.in
  head/security/pks/pkg-descr
  head/security/pks/pkg-plist
  head/security/sks/Makefile
  head/sysutils/apt/Makefile
  head/sysutils/cfengine22/Makefile
  head/sysutils/cfengine22/pkg-plist
  head/sysutils/cfengine32/Makefile
  head/sysutils/cfengine32/files/patch-configure
  head/textproc/p5-RDFStore/Makefile
  head/textproc/rast/Makefile
  head/textproc/redland/Makefile
  head/www/c-icap/Makefile
  head/www/crawl/Makefile
  head/www/oops/Makefile
  head/www/squidguard/Makefile
  head/www/webalizer/Makefile
Comment 9 Matthias Andree freebsd_committer 2014-08-22 06:54:28 UTC
r365610 is a followup commit to clean up orphaned directories.
Comment 10 commit-hook freebsd_committer 2014-08-22 06:57:02 UTC
A commit references this bug:

Author: mandree
Date: Fri Aug 22 06:56:49 UTC 2014
New revision: 365611
URL: http://svnweb.freebsd.org/changeset/ports/365611

Log:
  Fix up missed or botched PORTREVISION bumps from r365599.
  Apparently Tools/scripts/bump-revision.sh isn't too robust...

  PR:		192690

Changes:
  head/comms/trustedqsl/Makefile
  head/databases/dbtool/Makefile
  head/mail/opendkim/Makefile
  head/net/openldap24-server/Makefile
  head/security/pks/Makefile
  head/www/oops/Makefile
Comment 11 Matthias Andree freebsd_committer 2014-08-22 07:19:09 UTC
exp-run was completed, remove the flag